# Type Alias SearchConfig

type SearchConfig = {
categories: SearchCategoryModel[];
facetMode: boolean;
home: SearchConfigHome;
viewcard: Record<string, { name: string; title: string }[]>;
}

- Defined in jamespot-user-api/src/types/search.ts:141

##### Index

### Properties

categories
facetMode
home
viewcard

## Properties

### categories

categories: SearchCategoryModel[]

- Defined in jamespot-user-api/src/types/search.ts:143

### facetMode

facetMode: boolean

- Defined in jamespot-user-api/src/types/search.ts:145

### home

home: SearchConfigHome

- Defined in jamespot-user-api/src/types/search.ts:142

### viewcard

viewcard: Record<string, { name: string; title: string }[]>

- Defined in jamespot-user-api/src/types/search.ts:144